Bug 1267316 - Mismatched dependencies prevent installation of ganglia-web
Mismatched dependencies prevent installation of ganglia-web
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: ganglia (Show other bugs)
el5
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nick
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 11:38 EDT by Robert Healey
Modified: 2017-04-06 06:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:05:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Healey 2015-09-29 11:38:01 EDT
Description of problem:
The current (3.6.2-1.el5) package of ganglia-web can't be installed due to dependencies on both the php and php53 packages, which are mutually exclusive.


Version-Release number of selected component (if applicable):
3.6.2-1.el5

How reproducible:
Very

Steps to Reproduce:
1. yum (install | upgrade) ganglia-web
2.
3.

Actual results:
[root@gaia ~]# yum install ganglia-web
Loaded plugins: downloadonly, protectbase, rhnplugin, security, versionlock
This system is receiving updates from RHN Classic or RHN Satellite.
0 packages excluded due to repository protections
Reading version lock configuration
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package ganglia-web.x86_64 0:3.6.2-1.el5 set to be updated
--> Processing Dependency: php-ZendFramework for package: ganglia-web
--> Running transaction check
---> Package php-ZendFramework.noarch 0:1.12.13-2.el5 set to be updated
--> Processing Dependency: php-xml for package: php-ZendFramework
--> Processing Dependency: php-process for package: php-ZendFramework
--> Processing Dependency: php-bcmath for package: php-ZendFramework
--> Running transaction check
---> Package php-bcmath.x86_64 0:5.1.6-45.el5_11 set to be updated
---> Package php-xml.x86_64 0:5.1.6-45.el5_11 set to be updated
---> Package php53-process.x86_64 0:5.3.3-26.el5_11 set to be updated
--> Processing Dependency: php53-common = 5.3.3-26.el5_11 for package: php53-process
--> Running transaction check
---> Package php53-common.x86_64 0:5.3.3-26.el5_11 set to be updated
--> Processing Conflict: php53-common conflicts php-common
--> Finished Dependency Resolution
php53-common-5.3.3-26.el5_11.x86_64 from rhel-x86_64-server-5 has depsolving problems
  --> php53-common conflicts with php-common
Error: php53-common conflicts with php-common
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package

Expected results:
Package installed


Additional info:
Comment 1 Fedora End Of Life 2017-04-06 06:05:54 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.